import 'package:flutter/material.dart';
import 'package:starting_template/gen/assets.gen.dart';
import 'package:starting_template/presentation/shared/layouts/starting_template_scaffold.dart';

class Home extends StatelessWidget {
  const Home({super.key});

  static const String pageName = 'homePage';

  @override
  Widget build(BuildContext context) => StartingTemplateScaffold(
        body: Center(
          child: Column(
            children: [
              Assets.images.wyattLogo.image(width: 150),
            ],
          ),
        ),
      );
}
