enum DataSourceType {
  mock,
  api;

  static DataSourceType fromString(String value) => DataSourceType.values
      .firstWhere((e) => e.name == value.toLowerCase().trim());

  static DataSourceType? fromStringOr(String value, {DataSourceType? or}) {
    try {
      return DataSourceType.values
          .firstWhere((e) => e.name == value.toLowerCase().trim());
    } catch (_) {
      return or;
    }
  }
}
